package jp.co.kayo.android.localplayer.util;
/***
 * Copyright (c) 2010-2012 yokmama. All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */

import android.annotation.SuppressLint;
import android.os.Build;
import android.os.StrictMode;

@SuppressLint("NewApi")
public class StrictHelper {
    public static final boolean STRICTMODE = false;

    public static void registStrictMode() {
        if (STRICTMODE && Build.VERSION.SDK_INT > 8) {
            StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder()
            // .detectDiskReads()
            // .detectDiskWrites()
                    .detectNetwork().penaltyLog().penaltyDeath().build());
            StrictMode.setVmPolicy(new StrictMode.VmPolicy.Builder()
                    .detectLeakedSqlLiteObjects().penaltyLog().penaltyDeath()
                    .build());
        } else if (Build.VERSION.SDK_INT >= 11) {
            StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder()
                    .permitAll().build());
            /*
             * try { Class
             * strictModeClass=Class.forName("android.os.StrictMode"); Class
             * strictModeThreadPolicyClass
             * =Class.forName("android.os.StrictMode$ThreadPolicy"); Object
             * laxPolicy =
             * strictModeThreadPolicyClass.getField("LAX").get(null); Method
             * method_setThreadPolicy = strictModeClass.getMethod(
             * "setThreadPolicy", strictModeThreadPolicyClass );
             * method_setThreadPolicy.invoke(null,laxPolicy); } catch (Exception
             * e) {
             * 
             * }
             */
        }
    }

}
